# Interface Decoder.BinaryStream<T>

Type Parameters:
  `T` - The type of object produced by the decoder

All Superinterfaces:
  `Decoder`

Enclosing interface:
  `Decoder`

public static interface Decoder.BinaryStream<T> extends Decoder
A decoder that decodes entire binary WebSocket messages from an input stream into an object of type T.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Decoder

  `Decoder.Binary<T>, Decoder.BinaryStream<T>, Decoder.Text<T>, Decoder.TextStream<T>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `decode(InputStream is)`
  Decodes the binary data from the input stream into an object.

  ### Methods inherited from interface Decoder

  `destroy, init`

- ## Method Details

  - ### decode

    T decode(InputStream is) throws DecodeException, IOException
    Decodes the binary data from the input stream into an object.
    Parameters:
      `is` - The input stream containing the binary data
    Returns:
      The decoded object
    Throws:
      `DecodeException` - If the data cannot be decoded
      `IOException` - If an I/O error occurs